# Collates information from different logs and can output collated information
# for use in appraisals.
class CollaterConsoleView < ConsoleView
  def print_logs(diaries)
    diary_console_view = DiaryConsoleView.new
    diaries.each do |diary|
      str = diary_console_view.output(diary)
      unless str == ''
        puts str
        puts "\n#{'=' * OUTPUT_WIDTH}\n\n"
      end
    end
  end
end
